> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve Benefits by Country

GET https://api.letsdeel.com/rest/eor/benefits

Returns benefits available in a specific country, scoped by work visa requirement, weekly work hours, employment type, team, and legal entity.

 **Token scopes**: `benefits:read`

Reference: https://developer.deel.com/api/eor-endpoints/eor-hiring/get-benefits

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `country_code` (string, required) — Country code.
- `work_visa` (boolean, required) — Indicates if work visa is required.
- `work_hours_per_week` (double, required) — Working hours per week
- `employment_type` (enum, required) — Type of employment
  - Allowed values: `Full-time`, `Part-time`
- `team_id` (string, required) — The ID of the team the worker belongs to.
- `legal_entity_id` (string, required) — The ID of the legal entity.

## Response

### 200

Successful operation.

- `data` (list of EorBenefitsGetResponsesContentApplicationJsonSchemaDataItems, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of EorBenefitsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)
- `request` (EorBenefitsGetResponsesContentApplicationJsonSchemaRequest, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### EorBenefitsGetResponsesContentApplicationJsonSchemaDataItems

- `name` (string, required) — The name of the benefit.
- `providers` (list of EorBenefitsGetResponsesContentApplicationJsonSchemaDataItemsProvidersItems, required)
- `description` (string, required) — The description of the benefit.
- `is_mandatory` (boolean, required) — Indicates if the benefit is mandatory.
- `is_discriminatory` (boolean, required) — Indicates if the benefit is discriminatory.

### EorBenefitsGetResponsesContentApplicationJsonSchemaErrorsItems

- `path` (string, optional) — The JSON path where input validation failed
- `message` (string, optional) — A description of the returned error

### EorBenefitsGetResponsesContentApplicationJsonSchemaRequest

- `url` (string, optional) — The relative URL of the failed request
- `code` (double, optional) — The code of the source handler which produced the returned error
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `method` (string, optional) — The HTTP method of the failed request
- `source` (string, optional) — The source handler which produced the returned error
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### EorBenefitsGetResponsesContentApplicationJsonSchemaDataItemsProvidersItems

- `id` (string, required) — ID of the benefit provider.
- `name` (string, required) — The name of the benefit provider.
- `type` (string, required) — Benefit type.
- `plans` (list of EorBenefitsGetResponsesContentApplicationJsonSchemaDataItemsProvidersItemsPlansItems, required)
- `country` (string, required) — Country code.
- `currency` (string, required) — Currency.
- `is_unisure` (boolean, required) — Indicates if Unisure.
- `attachments` (list of EorBenefitsGetResponsesContentApplicationJsonSchemaDataItemsProvidersItemsAttachmentsItems, required)
- `home_page_url` (string, required) — The home page URL of the benefit provider.
- `contribution_options` (list of EorBenefitsGetResponsesContentApplicationJsonSchemaDataItemsProvidersItemsContributionOptionsItems, required)
- `client_info` (string, optional, nullable) — Client information.
- `employee_info` (string, optional, nullable) — Employee information.
- `max_contribution` (double, optional, nullable) — Maximum contribution.
- `min_contribution` (double, optional, nullable) — Minimum contribution.

### EorBenefitsGetResponsesContentApplicationJsonSchemaDataItemsProvidersItemsPlansItems

- `id` (string, required) — The unique ID of the plan.
- `name` (string, required) — The name of the plan.
- `price` (double, required) — The price of the plan.
- `attachments` (list of EorBenefitsGetResponsesContentApplicationJsonSchemaDataItemsProvidersItemsPlansItemsAttachmentsItems, required)

### EorBenefitsGetResponsesContentApplicationJsonSchemaDataItemsProvidersItemsAttachmentsItems

- `id` (string, required) — The unique ID of the attachment.
- `url` (string, required) — The url of the attachment.
- `label` (string, required) — The label of the attachment.

### EorBenefitsGetResponsesContentApplicationJsonSchemaDataItemsProvidersItemsContributionOptionsItems

- `id` (string, required) — Unique ID of the contribution.
- `amount` (double, required) — Amount.

### EorBenefitsGetResponsesContentApplicationJsonSchemaDataItemsProvidersItemsPlansItemsAttachmentsItems

- `id` (string, required) — The unique ID of the attachment.
- `url` (string, required) — The url of the attachment.
- `label` (string, required) — The label of the attachment.

## Examples

**Response**

```json
{
  "data": [
    {
      "name": "Health Insurance",
      "providers": [
        {
          "id": "5f4d1f3f-4b3b-4b1e-8f4f-3b1f4f1b3b4b",
          "name": "Provider A",
          "type": "Insurance",
          "plans": [
            {
              "id": "5f4d1f3f-4b3b-4b1e-8f4f-3b1f4f1b3b4b",
              "name": "Premium Employee Plan",
              "price": 1000,
              "attachments": [
                {
                  "id": "5f4d1f3f-4b3b-4b1e-8f4f-3b1f4f1b3b4b",
                  "url": "https://www.provider-a.com/attachments/Spain_Benefits_Snapshot.pdf",
                  "label": "Spain_Benefits_Snapshot.pdf"
                }
              ]
            }
          ],
          "country": "US",
          "currency": "USD",
          "is_unisure": true,
          "attachments": [
            {
              "id": "5f4d1f3f-4b3b-4b1e-8f4f-3b1f4f1b3b4b",
              "url": "https://www.provider-a.com/attachments/Spain_Benefits_Snapshot.pdf",
              "label": "Spain_Benefits_Snapshot.pdf"
            }
          ],
          "home_page_url": "https://www.provider-a.com",
          "contribution_options": [
            {
              "id": "5f4d1f3f-4b3b-4b1e-8f4f-3b1f4f1b3b4b",
              "amount": 1000
            }
          ],
          "client_info": "You're now offering this employee Flexible Retribution that includes meals, transport and daycare tax free.",
          "employee_info": "Your company is now offering supplemental benefits.",
          "max_contribution": 10,
          "min_contribution": 10
        }
      ],
      "description": "Provide a cost coverage or subsidy for employees relating to Meals or Grocery.",
      "is_mandatory": true,
      "is_discriminatory": true
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/eor/benefits"

querystring = {"country_code":"US","employment_type":"Full-time","legal_entity_id":"123e4567-e89b-12d3-a456-426614174000","team_id":"123e4567-e89b-12d3-a456-426614174000","work_hours_per_week":"40","work_visa":"true"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/eor/benefits?country_code=US&employment_type=Full-time&legal_entity_id=123e4567-e89b-12d3-a456-426614174000&team_id=123e4567-e89b-12d3-a456-426614174000&work_hours_per_week=40&work_visa=true';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/eor/benefits?country_code=US&employment_type=Full-time&legal_entity_id=123e4567-e89b-12d3-a456-426614174000&team_id=123e4567-e89b-12d3-a456-426614174000&work_hours_per_week=40&work_visa=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/eor/benefits?country_code=US&employment_type=Full-time&legal_entity_id=123e4567-e89b-12d3-a456-426614174000&team_id=123e4567-e89b-12d3-a456-426614174000&work_hours_per_week=40&work_visa=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/eor/benefits?country_code=US&employment_type=Full-time&legal_entity_id=123e4567-e89b-12d3-a456-426614174000&team_id=123e4567-e89b-12d3-a456-426614174000&work_hours_per_week=40&work_visa=true")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/eor/benefits?country_code=US&employment_type=Full-time&legal_entity_id=123e4567-e89b-12d3-a456-426614174000&team_id=123e4567-e89b-12d3-a456-426614174000&work_hours_per_week=40&work_visa=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/eor/benefits?country_code=US&employment_type=Full-time&legal_entity_id=123e4567-e89b-12d3-a456-426614174000&team_id=123e4567-e89b-12d3-a456-426614174000&work_hours_per_week=40&work_visa=true");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/eor/benefits?country_code=US&employment_type=Full-time&legal_entity_id=123e4567-e89b-12d3-a456-426614174000&team_id=123e4567-e89b-12d3-a456-426614174000&work_hours_per_week=40&work_visa=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```